Skip to main content
GET
List person shares

Authorizations

Authorization
string
header
required

Path Parameters

person_id
string
required

The Extole unique profile identifier of this user at Extole.

Query Parameters

programs
string[]

Optional program filter. Will include shares that match at least one of the programs.

campaign_ids
string[]

Optional campaign id filter. Will include shares that match at least one of the campaign ids.

partner_ids
string[]

Optional program label filter. Will include shares that match at least one of the programs.

data_keys
string[]

Optional data keys filter. Will include shares that match at least one of the data keys.

data_values
string[]

Optional filter for existence of specific data values. Will include shares that have at least one of the specified data name-value pair. Valid format is name:value.

offset
integer<int32>
default:0

Optional offset filter, defaults to 0.

limit
integer<int32>
default:100

Optional limit filter, defaults to 100.

Response

Successful response

campaign_id
string
required

Extole campaign id associated with this share.

channel
string
required

Channel through which the share was sent (e.g. email, sms). Absent if not recorded.

created_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

data
object
required

Named data parameters attached to this share.

id
string
required
read-only

Extole-assigned unique identifier for this share.

Share link URL sent to the friend.

message
string
required

Message body included with the share. Absent if no message was sent.

other_person_id
string
required

Extole person id of the friend whose email matches recipient. Absent when the share has no recipient email or no person has that email.

partner_id
object
required
program
string
required

Program key associated with this share.

recipient
string
required

Email address the share was sent to. Absent when the share has no recipient email.

shareable_code
string
required

Shareable code used to generate the share link.

subject
string
required

Subject line of the share message. Absent for channels that do not have subjects.